import { EventEmitter } from '@angular/core';
import { DecimalPipe } from '@angular/common';
import { FormControl } from '@angular/forms';
import { LoggerService } from 'dotcms-js/dotcms-js';
import { GCircle } from '../../models/gcircle.model';
export declare class VisitorsLocationComponent {
    decimalPipe: DecimalPipe;
    private loggerService;
    circle: GCircle;
    comparisonValue: string;
    comparisonControl: FormControl;
    comparisonOptions: {}[];
    fromLabel: string;
    changedHook: number;
    preferredUnit: string;
    areaChange: EventEmitter<GCircle>;
    comparisonChange: EventEmitter<string>;
    showingMap: boolean;
    comparisonDropdown: any;
    constructor(decimalPipe: DecimalPipe, loggerService: LoggerService);
    ngOnChanges(change: any): void;
    getLatLong(): string;
    getRadiusInPreferredUnit(): number;
    toggleMap(): void;
    onUpdate(circle: GCircle): void;
}
